List of all members
clan::DisplayWindowSite Class Reference
clanDisplay Display

Display Window site. More...

`#include <display_window_provider.h>`

## Public Attributes
Attributes
Signal< void()> | sig_lost_focus
| Lost focus signal. More...
Signal< void()> | sig_got_focus
| Obtained focus signal. More...
Signal< void(float, float)> | sig_resize
| Resize signal. More...
Signal< void(const Rectf &)> | sig_paint
| Paint signal. More...
Signal< void()> | sig_window_close
| Window close signal. More...
Signal< void()> | sig_window_destroy
| Window destroy signal. More...
Signal< void()> | sig_window_minimized
| Window minimized signal. More...
Signal< void()> | sig_window_maximized
| Window maximized signal. More...
Signal< void()> | sig_window_restored
| Window restored signal. More...
std::function< void(Rectf &)> | func_window_resize
| Window resize callback function. More...
std::function< bool()> | func_minimize_clicked
| Minimize button is clicked callback function. More...
Signal< void()> | sig_window_moved
| Window moved signal. More...

## Detailed Description

Display Window site.

The documentation for this class was generated from the following file:

- display_window_provider.h